Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Timer_Queue_Iterator_T Class Template Reference

Generic interface for iterating over a subclass of <ACE_Timer_Queue>. More...

`#include <Timer_Queue_T.h>`

Inheritance diagram for ACE_Timer_Queue_Iterator_T:

[legend]
List of all members.

## Public Methods
| ACE_Timer_Queue_Iterator_T (void)
| Constructor. More...
virtual | ~ACE_Timer_Queue_Iterator_T (void)
| Destructor. More...
virtual void | first (void)=0
| Positions the iterator at the earliest node in the Timer Queue. More...
virtual void | next (void)=0
| Positions the iterator at the next node in the Timer Queue. More...
virtual int | isdone (void) const=0
| Returns true when there are no more nodes in the sequence. More...
virtual ACE_Timer_Node_T< TYPE > * | item (void)=0
| Returns the node at the current position in the sequence. More...

## Detailed Description

### template<class TYPE, class FUNCTOR, class ACE_LOCK>
class ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >

Generic interface for iterating over a subclass of <ACE_Timer_Queue>.

This is a generic iterator that can be used to visit every node of a timer queue. Be aware that it isn't guaranteed that the transversal will be in order of timeout values.

## Constructor & Destructor Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK>
ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::ACE_Timer_Queue_Iterator_T | ( | void |  | ) |

| Constructor.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::~ACE_Timer_Queue_Iterator_T | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK>
virtual void ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::first | ( | void |  | ) | `[pure virtual]`

| Positions the iterator at the earliest node in the Timer Queue. Reimplemented in ACE_Timer_Hash_Iterator_T, ACE_Timer_Heap_Iterator_T, ACE_Timer_List_Iterator_T, and ACE_Timer_Wheel_Iterator_T.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
virtual int ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::isdone | ( | void |  | ) | const`[pure virtual]`

| Returns true when there are no more nodes in the sequence. Reimplemented in ACE_Timer_Hash_Iterator_T, ACE_Timer_Heap_Iterator_T, ACE_Timer_List_Iterator_T, and ACE_Timer_Wheel_Iterator_T.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
virtual ACE_Timer_Node_T<TYPE>* ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::item | ( | void |  | ) | `[pure virtual]`

| Returns the node at the current position in the sequence. Reimplemented in ACE_Timer_Hash_Iterator_T, ACE_Timer_Heap_Iterator_T, ACE_Timer_List_Iterator_T, and ACE_Timer_Wheel_Iterator_T.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
virtual void ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::next | ( | void |  | ) | `[pure virtual]`

| Positions the iterator at the next node in the Timer Queue. Reimplemented in ACE_Timer_Hash_Iterator_T, ACE_Timer_Heap_Iterator_T, ACE_Timer_List_Iterator_T, and ACE_Timer_Wheel_Iterator_T.

The documentation for this class was generated from the following files:

- Timer_Queue_T.h
- Timer_Queue_T.cpp